> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agg.market/llms.txt
> Use this file to discover all available pages before exploring further.

# Get live orderbook for a single outcome

> Returns the live single-venue orderbook for a specific venue market outcome, including the sticky tick and midpoint provenance (`markSource`).



## OpenAPI

````yaml /openapi/openapi.json get /orderbook/outcome/{outcomeId}
openapi: 3.0.2
info:
  title: AGG API
  version: 1.0.0
  description: >-
    Prediction market aggregator REST API — authentication, users, venue events,
    venue markets, orderbooks, charts, and execution workflows.
servers:
  - url: https://api.agg.market
    description: Production
  - url: https://api.staging.agg.market
    description: Staging
security: []
paths:
  /orderbook/outcome/{outcomeId}:
    get:
      tags:
        - Orderbook
      summary: Get live orderbook for a single outcome
      description: >-
        Returns the live single-venue orderbook for a specific venue market
        outcome, including the sticky tick and midpoint provenance
        (`markSource`).
      operationId: getOutcomeOrderbook
      parameters:
        - name: outcomeId
          in: path
          required: true
          schema:
            type: string
        - name: depth
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                required:
                  - venueMarketOutcomeId
                  - venueMarketId
                  - venue
                  - orderbook
                  - midpoint
                  - spread
                  - seq
                  - checksum
                  - timestamp
                properties:
                  venueMarketOutcomeId:
                    type: string
                  venueMarketId:
                    type: string
                  venue:
                    type: string
                  orderbook:
                    type: object
                    required:
                      - bids
                      - asks
                    properties:
                      bids:
                        type: array
                        items:
                          type: object
                          required:
                            - price
                            - size
                          properties:
                            price:
                              type: number
                            size:
                              type: number
                      asks:
                        type: array
                        items:
                          type: object
                          required:
                            - price
                            - size
                          properties:
                            price:
                              type: number
                            size:
                              type: number
                  midpoint:
                    type: number
                    nullable: true
                  spread:
                    type: number
                    nullable: true
                  seq:
                    type: number
                  checksum:
                    type: number
                  timestamp:
                    type: number
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '503':
          description: '503'
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - retryable
                properties:
                  code:
                    type: string
                    enum:
                      - orderbook_service_unavailable
                  message:
                    type: string
                  retryable:
                    type: boolean
      security:
        - appId: []
components:
  securitySchemes:
    appId:
      type: apiKey
      in: header
      name: x-app-id
      description: Your application ID. Required for all app-tier and user-tier routes.

````